Condividi tramite


Stac Collections - Get All

Ottenere raccolte
Elenca tutte le collezioni nell'istanza GeoCatalog

GET https:///stac/collections?api-version=2025-04-30-preview
GET https:///stac/collections?api-version=2025-04-30-preview&sign={sign}&duration={duration}

Parametri dell'URI

Nome In Necessario Tipo Descrizione
api-version
query True

string

minLength: 1

Versione dell'API da usare per questa operazione.

duration
query

integer (int32)

Durata della firma URL in minuti.

sign
query

StacAssetUrlSigningMode

Se firmare gli URL degli asset nella risposta.

Risposte

Nome Tipo Descrizione
200 OK

StacCatalogCollections

La richiesta ha avuto esito positivo.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

Risposta di errore imprevista.

Intestazioni

x-ms-error-code: string

Sicurezza

OAuth2Auth

Tipo: oauth2
Flow: implicit
URL di autorizzazione: https://login.microsoftonline.com/common/oauth2/authorize

Ambiti

Nome Descrizione
https://geocatalog.spatio.azure.com/.default

Esempio

StacCollections_GetAll

Esempio di richiesta

GET https:///stac/collections?api-version=2025-04-30-preview

Risposta di esempio

{
  "collections": [
    {
      "id": "example-collection",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-03-11T19:54:50.067546Z",
      "msft:_updated": "2025-03-11T19:54:50.067546Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "example-collection1",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-04-22T00:30:03.363303Z",
      "msft:_updated": "2025-04-22T00:30:03.363303Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "naip-sample-datasets",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets"
        }
      ],
      "title": "NAIP (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-datasets-83498858/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -124.784,
              24.744,
              -66.951,
              49.346
            ],
            [
              -156.003,
              19.059,
              -154.809,
              20.127
            ],
            [
              -67.316,
              17.871,
              -65.596,
              18.565
            ],
            [
              -64.94,
              17.622,
              -64.56,
              17.814
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T15:04:08.5650952Z",
      "msft:_updated": "2025-10-21T15:04:31.568615Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "example-collection6",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6"
        }
      ],
      "title": "Example Collection 88",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-02T20:20:53.193385Z",
      "msft:_updated": "2025-09-30T17:04:12.0325676Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "impact-observatory",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory"
        }
      ],
      "title": "impact-observatory",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "impact-observatory",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-21T11:34:25.100150Z",
      "msft:_updated": "2025-05-21T11:34:25.100150Z",
      "msft:short_description": "impact-observatory"
    },
    {
      "id": "tutorial-collection-20250527170217",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217"
        }
      ],
      "title": "Tutorial Collection",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/tutorial-collection-20250527170217-34b2cde8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2020-01-01T00:00:00Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Tutorial collection for integration tests",
      "item_assets": {
        "GEC": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "VV polarization",
          "description": "Gamma naught values corrected for terrain",
          "raster:bands": [
            {
              "nodata": -32768,
              "data_type": "uint8",
              "spatial_resolution": 0.477
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-27T21:02:48.9870711Z",
      "msft:_updated": "2025-05-27T21:51:00.527167Z"
    },
    {
      "id": "naip-atl-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-sample-dataset-b943876c/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T19:00:05.1295233Z",
      "msft:_updated": "2025-10-21T19:00:36.824837Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "sentinel-2-l2a-tutorial-372",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372"
        }
      ],
      "title": "sentinel-2-l2a-tutorial-372",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/sentinel-2-l2a-tutorial-372-f4d2f1d8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "proprietary",
      "keywords": [
        "Sentinel",
        "Copernicus",
        "ESA",
        "Satellite",
        "Global",
        "Imagery",
        "Reflectance"
      ],
      "providers": [
        {
          "url": "https://sentinel.esa.int/web/sentinel/missions/sentinel-2",
          "name": "ESA",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          10,
          20,
          60
        ],
        "eo:bands": [
          {
            "name": "AOT",
            "description": "aerosol optical thickness"
          },
          {
            "gsd": 60,
            "name": "B01",
            "common_name": "coastal",
            "description": "coastal aerosol",
            "center_wavelength": 0.443,
            "full_width_half_max": 0.027
          },
          {
            "gsd": 10,
            "name": "B02",
            "common_name": "blue",
            "description": "visible blue",
            "center_wavelength": 0.49,
            "full_width_half_max": 0.098
          },
          {
            "gsd": 10,
            "name": "B03",
            "common_name": "green",
            "description": "visible green",
            "center_wavelength": 0.56,
            "full_width_half_max": 0.045
          },
          {
            "gsd": 10,
            "name": "B04",
            "common_name": "red",
            "description": "visible red",
            "center_wavelength": 0.665,
            "full_width_half_max": 0.038
          },
          {
            "gsd": 20,
            "name": "B05",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.704,
            "full_width_half_max": 0.019
          },
          {
            "gsd": 20,
            "name": "B06",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.74,
            "full_width_half_max": 0.018
          },
          {
            "gsd": 20,
            "name": "B07",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.783,
            "full_width_half_max": 0.028
          },
          {
            "gsd": 10,
            "name": "B08",
            "common_name": "nir",
            "description": "near infrared",
            "center_wavelength": 0.842,
            "full_width_half_max": 0.145
          },
          {
            "gsd": 20,
            "name": "B8A",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.865,
            "full_width_half_max": 0.033
          },
          {
            "gsd": 60,
            "name": "B09",
            "description": "water vapor",
            "center_wavelength": 0.945,
            "full_width_half_max": 0.026
          },
          {
            "gsd": 20,
            "name": "B11",
            "common_name": "swir16",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 1.61,
            "full_width_half_max": 0.143
          },
          {
            "gsd": 20,
            "name": "B12",
            "common_name": "swir22",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 2.19,
            "full_width_half_max": 0.242
          }
        ],
        "platform": [
          "Sentinel-2A",
          "Sentinel-2B"
        ],
        "instruments": [
          "msi"
        ],
        "constellation": [
          "sentinel-2"
        ],
        "view:off_nadir": [
          0
        ]
      },
      "description": "The [Sentinel-2](https://sentinel.esa.int/web/sentinel/missions/sentinel-2) program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset represents the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere) using [Sen2Cor](https://step.esa.int/main/snap-supported-plugins/sen2cor/) and converted to [cloud-optimized GeoTIFF](https://www.cogeo.org/) format.",
      "item_assets": {
        "AOT": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Aerosol optical thickness (AOT)"
        },
        "B01": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 1 - Coastal aerosol - 60m",
          "eo:bands": [
            {
              "name": "B01",
              "common_name": "coastal",
              "description": "Band 1 - Coastal aerosol",
              "center_wavelength": 0.443,
              "full_width_half_max": 0.027
            }
          ]
        },
        "B02": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 2 - Blue - 10m",
          "eo:bands": [
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "B03": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 3 - Green - 10m",
          "eo:bands": [
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        },
        "B04": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 4 - Red - 10m",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "B05": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 5 - Vegetation red edge 1 - 20m",
          "eo:bands": [
            {
              "name": "B05",
              "common_name": "rededge",
              "description": "Band 5 - Vegetation red edge 1",
              "center_wavelength": 0.704,
              "full_width_half_max": 0.019
            }
          ]
        },
        "B06": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 6 - Vegetation red edge 2 - 20m",
          "eo:bands": [
            {
              "name": "B06",
              "common_name": "rededge",
              "description": "Band 6 - Vegetation red edge 2",
              "center_wavelength": 0.74,
              "full_width_half_max": 0.018
            }
          ]
        },
        "B07": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 7 - Vegetation red edge 3 - 20m",
          "eo:bands": [
            {
              "name": "B07",
              "common_name": "rededge",
              "description": "Band 7 - Vegetation red edge 3",
              "center_wavelength": 0.783,
              "full_width_half_max": 0.028
            }
          ]
        },
        "B08": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8 - NIR - 10m",
          "eo:bands": [
            {
              "name": "B08",
              "common_name": "nir",
              "description": "Band 8 - NIR",
              "center_wavelength": 0.842,
              "full_width_half_max": 0.145
            }
          ]
        },
        "B09": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 9 - Water vapor - 60m",
          "eo:bands": [
            {
              "name": "B09",
              "description": "Band 9 - Water vapor",
              "center_wavelength": 0.945,
              "full_width_half_max": 0.026
            }
          ]
        },
        "B11": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 11 - SWIR (1.6) - 20m",
          "eo:bands": [
            {
              "name": "B11",
              "common_name": "swir16",
              "description": "Band 11 - SWIR (1.6)",
              "center_wavelength": 1.61,
              "full_width_half_max": 0.143
            }
          ]
        },
        "B12": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 12 - SWIR (2.2) - 20m",
          "eo:bands": [
            {
              "name": "B12",
              "common_name": "swir22",
              "description": "Band 12 - SWIR (2.2)",
              "center_wavelength": 2.19,
              "full_width_half_max": 0.242
            }
          ]
        },
        "B8A": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8A - Vegetation red edge 4 - 20m",
          "eo:bands": [
            {
              "name": "B8A",
              "common_name": "rededge",
              "description": "Band 8A - Vegetation red edge 4",
              "center_wavelength": 0.865,
              "full_width_half_max": 0.033
            }
          ]
        },
        "SCL": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Scene classfication map (SCL)"
        },
        "WVP": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Water vapour (WVP)"
        },
        "visual": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "True color image",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            },
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            },
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "preview": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        },
        "safe-manifest": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "SAFE manifest"
        },
        "granule-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Granule metadata"
        },
        "inspire-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "INSPIRE metadata"
        },
        "product-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Product metadata"
        },
        "datastrip-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Datastrip metadata"
        }
      },
      "msft:region": "westeurope",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-30T13:51:04.7570215Z",
      "msft:_updated": "2025-05-30T14:11:36.334817Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ],
      "msft:short_description": "The Sentinel-2 program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset contains the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere)."
    },
    {
      "id": "naip-sample-dataset-1.0.0",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-dataset-100-a161ce8d/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:07:50.9807438Z",
      "msft:_updated": "2025-10-22T10:08:20.129540Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "maxar-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/maxar-sample-dataset-e4eaa3d3/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:55:52.4798017Z",
      "msft:_updated": "2025-10-22T10:56:19.726063Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "naip-atl",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        },
        "test-asset": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/test-asset/test-asset.txt",
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "Test Asset - Updated"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T11:14:31.811918Z",
      "msft:_updated": "2025-10-28T18:00:29.154669Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "python-sdk-sentinel-3",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3"
        }
      ],
      "title": "Collection python-sdk-sentinel-3",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/python-sdk-sentinel-3-f616ab54/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection - Updated for testing",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-15T21:13:49.6626675Z",
      "msft:_updated": "2025-10-15T22:13:03.410106Z"
    },
    {
      "id": "python-sdk-sentinel-2",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2"
        }
      ],
      "title": "Collection python-sdk-sentinel-2",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-17T10:28:41.5639703Z",
      "msft:_updated": "2025-10-17T10:28:41.5639703Z"
    }
  ],
  "links": [
    {
      "rel": "root",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "parent",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "self",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections"
    }
  ]
}

Definizioni

Nome Descrizione
Azure.Core.Foundations.Error

Oggetto error.

Azure.Core.Foundations.ErrorResponse

Risposta contenente i dettagli dell'errore.

Azure.Core.Foundations.InnerError

Oggetto contenente informazioni più specifiche sull'errore. In base alle linee guida dell'API REST di Azure - https://aka.ms/AzureRestApiGuidelines#handling-errors.

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

Rappresenta un asset STAC, che è un file o una risorsa associata a un elemento STAC.

StacAssetUrlSigningMode

Rappresenta il tipo di firma per gli URL degli asset.

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

Rappresenta una raccolta di collezioni STAC con link.

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

Rappresenta una collezione STAC.

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

Rappresenta l'estensione temporale di una collezione STAC con intervalli di tempo.

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

Rappresenta l'estensione spaziale e temporale di una collezione STAC.

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

Rappresenta l'estensione spaziale di una collezione STAC con riquadre delimitatorie.

StacItemAsset

https://github.com/stac-extensions/item-assets

Rappresenta un asset STAC, che descrive i beni disponibili sotto qualsiasi oggetto della collezione.

StacLink

Modello di collegamento.

Ref: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

Rappresenta un legame.

StacLinkType

Tipi MIME per i link.

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

Rappresenta informazioni su un fornitore di dati per le collezioni e gli elementi STAC.

Azure.Core.Foundations.Error

Oggetto error.

Nome Tipo Descrizione
code

string

Uno di un set definito dal server di codici di errore.

details

Azure.Core.Foundations.Error[]

Matrice di dettagli sugli errori specifici che hanno causato l'errore segnalato.

innererror

Azure.Core.Foundations.InnerError

Oggetto contenente informazioni più specifiche dell'oggetto corrente sull'errore.

message

string

Rappresentazione leggibile dell'errore.

target

string

Destinazione dell'errore.

Azure.Core.Foundations.ErrorResponse

Risposta contenente i dettagli dell'errore.

Nome Tipo Descrizione
error

Azure.Core.Foundations.Error

Oggetto error.

Azure.Core.Foundations.InnerError

Oggetto contenente informazioni più specifiche sull'errore. In base alle linee guida dell'API REST di Azure - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Nome Tipo Descrizione
code

string

Uno di un set definito dal server di codici di errore.

innererror

Azure.Core.Foundations.InnerError

Errore interno.

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

Rappresenta un asset STAC, che è un file o una risorsa associata a un elemento STAC.

Nome Tipo Descrizione
constellation

string

Costellazione di satelliti che hanno acquisito i dati.

created

string (date-time)

Timestamp di creazione dei dati.

description

string

Descrizione dettagliata dell'asset.

gsd

number (float)

Distanza del campione a terra in metri.

href

string

minLength: 1

URL del file di asset.

instruments

string[]

Strumenti che hanno acquisito i dati.

mission

string

Missione associata ai dati.

platform

string

Piattaforma che ha acquisito i dati.

providers

StacProvider[]

Organizzazioni o individui che forniscono i dati.

roles

string[]

I ruoli dell'asset all'interno dell'oggetto.

title

string

Titolo leggibile dagli umani per l'asset.

type

string

Tipo media dell'asset.

updated

string (date-time)

Ultimo aggiornamento con il timestamp dei dati.

StacAssetUrlSigningMode

Rappresenta il tipo di firma per gli URL degli asset.

Valore Descrizione
true

Firma gli URL degli asset nella risposta.

false

Non firmare gli URL degli asset nella risposta.

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

Rappresenta una raccolta di collezioni STAC con link.

Nome Tipo Descrizione
collections

StacCollection[]

Collezioni STAC disponibili nel catalogo.

links

StacLink[]

Collegamenti a risorse e endpoint correlati.

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

Rappresenta una collezione STAC.

Nome Tipo Valore predefinito Descrizione
assets

<string,  StacAsset>

Attività

description

string

minLength: 1

Descrizione dettagliata della collezione.

extent

StacExtensionExtent

Estensione spaziale e temporale della collezione.

id

string

minLength: 1
maxLength: 500
pattern: .*

Identificatore univoco della raccolta.

item_assets

<string,  StacItemAsset>

Oggetti Beni

Vedi la Specifica di Estensione della Definizione degli Asset Item

keywords

string[]

Parole chiave che descrivono la collezione.

license

string

minLength: 1

Identificatore della licenza per i dati raccolti.

links

StacLink[]

Collegamenti a risorse e endpoint correlati.

msft:_created

string (date-time)

MSFT Creata

msft:_updated

string (date-time)

MSFT aggiornato

msft:short_description

string

maxLength: 300

Breve descrizione MSFT

providers

StacProvider[]

Organizzazioni o individui che forniscono i dati di raccolta.

stac_extensions

string[]

URL delle estensioni STAC implementate da questa risorsa STAC.

stac_version

string

minLength: 1
1.0.0

Versione Stac

summaries

Summaries

Vedi la specifica della collezione STAC.

title

string

Titolo leggibile per la raccolta.

type

string

minLength: 1
Collection

TIPO

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

Rappresenta l'estensione temporale di una collezione STAC con intervalli di tempo.

Nome Tipo Descrizione
interval

string[] (date-time)

Array di intervalli di tempo in formato [[start_datetime, end_datetime]].

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

Rappresenta l'estensione spaziale e temporale di una collezione STAC.

Nome Tipo Descrizione
spatial

StacExtensionSpatialExtent

Estensione spaziale definita da scatole delimitatori.

Vedi la specifica della collezione STAC.

temporal

StacCollectionTemporalExtent

Estensione temporale definita da intervalli di tempo.

Vedi la specifica della collezione STAC.

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

Rappresenta l'estensione spaziale di una collezione STAC con riquadre delimitatorie.

Nome Tipo Descrizione
bbox

number[] (float)

Array di riquadri di delimitazione che definiscono l'estensione spaziale, nel formato [[west, south, east, north]].

StacItemAsset

https://github.com/stac-extensions/item-assets

Rappresenta un asset STAC, che descrive i beni disponibili sotto qualsiasi oggetto della collezione.

Nome Tipo Descrizione
constellation

string

Costellazione di satelliti che hanno acquisito i dati.

created

string (date-time)

Timestamp di creazione dei dati.

description

string

Descrizione dettagliata dell'asset.

gsd

number (float)

Distanza del campione a terra in metri.

href

string

minLength: 1

URL del file di asset.

instruments

string[]

Strumenti che hanno acquisito i dati.

mission

string

Missione associata ai dati.

platform

string

Piattaforma che ha acquisito i dati.

providers

StacProvider[]

Organizzazioni o individui che forniscono i dati.

roles

string[]

I ruoli dell'asset all'interno dell'oggetto.

title

string

Titolo leggibile dagli umani per l'asset.

type

string

Tipo media dell'asset.

updated

string (date-time)

Ultimo aggiornamento con il timestamp dei dati.

Modello di collegamento.

Ref: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

Rappresenta un legame.

Nome Tipo Valore predefinito Descrizione
body

Per le richieste POST, la risorsa può specificare il corpo HTTP come oggetto JSON.

headers

object

Coppie chiave-valore oggetto che si mappano alle intestazioni. Esempio: { "Accetta": "application/json" }.

href

string

L'URL del link.

hreflang

string

La lingua della risorsa collegata.

length

integer (int32)

La lunghezza della risorsa collegata.

merge

boolean

False

Indica se il cliente è tenuto a unire il valore corporeo nel corpo corrente della richiesta prima di seguire il link. Questo è valido solo quando il server risponde a una richiesta POST. Valore predefinito: false.

method enum:
  • GET
  • POST
GET

Specifica il metodo HTTP che la risorsa si aspetta. Predefinito: GET.

rel

string

Il tipo di relazione del link.

title

string

Il titolo del link.

type

StacLinkType

application/json

Il tipo MIME della risorsa collegata.

StacLinkType

Tipi MIME per i link.

Valore Descrizione
image/tiff; application=geotiff

Rappresenta un'immagine/tiff con application=geotiff.

image/jp2

Rappresenta un'immagine/jp2.

image/png

Rappresenta un'immagine/png.

image/jpeg

Rappresenta un'immagine/jpeg.

image/jpg

Rappresenta un'immagine/jpg.

image/webp

Rappresenta un'immagine/webp.

application/x-binary

Rappresenta un'applicazione/x-binario.

application/xml

Rappresenta un'applicazione/xml.

application/json

Rappresenta un'applicazione/json.

application/geo+json

Rappresenta un'applicazione/geo+json.

text/html

Rappresenta un testo/html.

text/plain

Rappresenta un testo/piani.

application/x-protobuf

Rappresenta un'applicazione/x-protobuf.

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

Rappresenta informazioni su un fornitore di dati per le collezioni e gli elementi STAC.

Nome Tipo Descrizione
description

string

Descrizione del fornitore.

name

string

minLength: 1

Nome dell'organizzazione o dell'individuo fornitore.

roles

string[]

Ruoli svolti dal fornitore (ad esempio, produttore, processore, host).

url

string

URL del sito web del fornitore.